## ros-rolling-perception-pcl 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(perception_pcl)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-rolling-perception-pcl (2.4.0-4jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Paul Bovbel <paul@bovbel.com>  Wed, 22 Mar 2023 05:39:38 -0000

ros-rolling-perception-pcl (1.6.2-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Sun, 20 May 2018 07:00:00 -0000

ros-rolling-perception-pcl (1.6.1-4jammy) jammy; urgency=high

  * Add 1.6.0 section to CHANGELOG.rst
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 May 2018 07:00:00 -0000

ros-rolling-perception-pcl (1.6.0-4jammy) jammy; urgency=high

  * Fix build and update maintainers
  * Contributors: Paul Bovbel, Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Apr 2018 07:00:00 -0000

ros-rolling-perception-pcl (1.5.4-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Sat, 31 Mar 2018 07:00:00 -0000

ros-rolling-perception-pcl (1.5.3-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 03 May 2017 07:00:00 -0000

ros-rolling-perception-pcl (1.5.2-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Sat, 29 Apr 2017 07:00:00 -0000

ros-rolling-perception-pcl (1.5.1-4jammy) jammy; urgency=high

  * Add my name as a maintainer
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 07:00:00 -0000

ros-rolling-perception-pcl (1.5.0-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 25 Apr 2017 07:00:00 -0000

ros-rolling-perception-pcl (1.4.0-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Fri, 22 Apr 2016 07:00:00 -0000

ros-rolling-perception-pcl (1.3.0-4jammy) jammy; urgency=high

  * Remove pointcloud_to_laserscan package
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 22 Jun 2015 07:00:00 -0000

ros-rolling-perception-pcl (1.2.6-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 04 Feb 2015 08:00:00 -0000

ros-rolling-perception-pcl (1.2.5-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 08:00:00 -0000

ros-rolling-perception-pcl (1.2.4-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 08:00:00 -0000

ros-rolling-perception-pcl (1.2.3-4jammy) jammy; urgency=high

  * clean up package.xml
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 08:00:00 -0000

ros-rolling-perception-pcl (1.2.2-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Sat, 25 Oct 2014 07:00:00 -0000

ros-rolling-perception-pcl (1.2.1-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Sat, 13 Sep 2014 07:00:00 -0000

ros-rolling-perception-pcl (1.2.0-4jammy) jammy; urgency=high

  * Updated maintainership and added bugtracker/repository info to package.xml

 -- Paul Bovbel <paul@bovbel.com>  Wed, 09 Apr 2014 07:00:00 -0000

ros-rolling-perception-pcl (1.1.7-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Fri, 20 Sep 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.1.6-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Fri, 20 Sep 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.1.5-4jammy) jammy; urgency=high

  * Updated package.xml's to use new libpcl-all rosdep rules

 -- Paul Bovbel <paul@bovbel.com>  Tue, 27 Aug 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.1.4-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 23 Jul 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.1.2-4jammy) jammy; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Fri, 19 Jul 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.1.1-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Wed, 10 Jul 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.1.0-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jul 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.0.34-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Tue, 21 May 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.0.33-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 May 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.0.32-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Fri, 17 May 2013 07:00:00 -0000

ros-rolling-perception-pcl (1.0.31-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Mon, 22 Apr 2013 18:58:00 -0000

ros-rolling-perception-pcl (1.0.30-4jammy) jammy; urgency=high

  * adding CMakeLists.txt file for metapackage
  * adding buildtool_depend to meta package

 -- Paul Bovbel <paul@bovbel.com>  Mon, 22 Apr 2013 18:47:00 -0000

ros-rolling-perception-pcl (1.0.29-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Mon, 04 Mar 2013 08:00:00 -0000

ros-rolling-perception-pcl (1.0.28-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Tue, 05 Feb 2013 20:29:00 -0000

ros-rolling-perception-pcl (1.0.27-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Tue, 05 Feb 2013 20:10:00 -0000

ros-rolling-perception-pcl (1.0.26-4jammy) jammy; urgency=high

  * removing build_tool dependency from package.xml

 -- Paul Bovbel <paul@bovbel.com>  Thu, 17 Jan 2013 08:00:00 -0000

ros-rolling-perception-pcl (1.0.25-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Tue, 01 Jan 2013 08:00:00 -0000

ros-rolling-perception-pcl (1.0.24-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Fri, 21 Dec 2012 08:00:00 -0000

ros-rolling-perception-pcl (1.0.23-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Thu, 20 Dec 2012 00:52:00 -0000

ros-rolling-perception-pcl (1.0.22-4jammy) jammy; urgency=high

  * No changes

 -- Paul Bovbel <paul@bovbel.com>  Wed, 19 Dec 2012 23:22:00 -0000

ros-rolling-perception-pcl (1.0.21-4jammy) jammy; urgency=high


=== debian/control ===
Source: ros-rolling-perception-pcl
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-rolling-perception-pcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-pcl-conversions, ros-rolling-pcl-msgs, ros-rolling-pcl-ros, ros-rolling-ros-workspace
Description: PCL (Point Cloud Library) ROS interface stack.
 PCL-ROS is the preferred bridge for 3D applications involving n-D Point Clouds and 3D geometry processing in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-perception-pcl//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
